DefaultUnattendedProgressInterface (install4j API)
Description: declaration: package: com.install4j.api.context, class: DefaultUnattendedProgressInterface

# Class DefaultUnattendedProgressInterface

java.lang.Object
com.install4j.api.context.DefaultUnattendedProgressInterface

All Implemented Interfaces:
  `ProgressInterface, UnattendedProgressInterface`

public class DefaultUnattendedProgressInterface extends Object implements UnattendedProgressInterface
Default implementation of `UnattendedProgressInterface`. You can override its methods to customize the default behavior.

- ## Field Summary

  ### Fields inherited from interface ProgressInterface

  `OVERWRITE_ALL, OVERWRITE_NEVER, OVERWRITE_NO, OVERWRITE_YES, RETRY_CANCEL, RETRY_NO, RETRY_YES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultUnattendedProgressInterface()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `askContinue(File file)`
  Default implementation for unattended mode.
  `int`
  `askOverwrite(File file)`
  Default implementation for unattended mode.
  `int`
  `askRetry(File file)`
  Default implementation for unattended mode.
  `int`
  `getPercentCompleted()`
  Returns the last value set by `setPercentCompleted`.
  `void`
  `setCancelButtonEnabled(boolean enabled)`
  Default implementation for unattended mode that does nothing.
  `void`
  `setCancelButtonVisible(boolean visible)`
  Default implementation for unattended mode that does nothing.
  `void`
  `setDetailMessage(String message)`
  Default implementation for unattended mode that does nothing.
  `void`
  `setIndeterminateProgress(boolean indeterminateProgress)`
  Default implementation for unattended mode that does nothing.
  `void`
  `setPercentCompleted(int value)`
  Sets the completion percentage of the current action and saves it to a local variable.
  `void`
  `setSecondaryPercentCompleted(int value)`
  Sets the completion percentage of a secondary task, like the unpacking of a JAR file that was packed with Pack200.
  `void`
  `setStatusMessage(String message)`
  Default implementation for unattended mode that does nothing.
  `void`
  `setVisible(boolean visible)`
  Default implementation for unattended mode that does nothing.
  `void`
  `showFailure(String message)`
  Default implementation for unattended mode that does nothing.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ProgressInterface

  `clearProgress, isAlertsShown, isUnattendedProgressDialog`

  ### Methods inherited from interface UnattendedProgressInterface

  `isAskForProxy`

- ## Constructor Details

  - ### DefaultUnattendedProgressInterface

    public DefaultUnattendedProgressInterface()

- ## Method Details

  - ### setVisible

    public void setVisible(boolean visible)
    Default implementation for unattended mode that does nothing.
    Specified by:
      `setVisible` in interface `UnattendedProgressInterface`
    Parameters:
      `visible` - `true` at startup and `false` at exit

  - ### setCancelButtonEnabled

    public void setCancelButtonEnabled(boolean enabled)
    Default implementation for unattended mode that does nothing.
    Specified by:
      `setCancelButtonEnabled` in interface `UnattendedProgressInterface`
    Parameters:
      `enabled` - `true` or `false`
    See Also:
      - `WizardContext.setControlButtonEnabled(ControlButtonType, boolean)`

  - ### setCancelButtonVisible

    public void setCancelButtonVisible(boolean visible)
    Default implementation for unattended mode that does nothing.
    Specified by:
      `setCancelButtonVisible` in interface `UnattendedProgressInterface`
    Parameters:
      `visible` - `true` or `false`
    See Also:
      - `WizardContext.setControlButtonVisible(ControlButtonType, boolean)`

  - ### setStatusMessage

    public void setStatusMessage(String message)
    Default implementation for unattended mode that does nothing.
    Specified by:
      `setStatusMessage` in interface `ProgressInterface`
    Parameters:
      `message` - the new message.

  - ### setDetailMessage

    public void setDetailMessage(String message)
    Default implementation for unattended mode that does nothing.
    Specified by:
      `setDetailMessage` in interface `ProgressInterface`
    Parameters:
      `message` - the new message.

  - ### setPercentCompleted

    public void setPercentCompleted(int value)
    Sets the completion percentage of the current action and saves it to a local variable.
    Specified by:
      `setPercentCompleted` in interface `ProgressInterface`
    Parameters:
      `value` - a value between 0 and 100.

  - ### getPercentCompleted

    public int getPercentCompleted()
    Returns the last value set by `setPercentCompleted`.
    Specified by:
      `getPercentCompleted` in interface `ProgressInterface`
    Returns:
      the percentage of completion

  - ### setSecondaryPercentCompleted

    public void setSecondaryPercentCompleted(int value)
    Description copied from interface: `ProgressInterface`
    Sets the completion percentage of a secondary task, like the unpacking of a JAR file that was packed with Pack200.

    Note: Has no effect if not called from an action or if the containing screen doesn't display progress.

    Specified by:
      `setSecondaryPercentCompleted` in interface `ProgressInterface`
    Parameters:
      `value` - a value between 0 and 100.

  - ### setIndeterminateProgress

    public void setIndeterminateProgress(boolean indeterminateProgress)
    Default implementation for unattended mode that does nothing.
    Specified by:
      `setIndeterminateProgress` in interface `ProgressInterface`
    Parameters:
      `indeterminateProgress` - `true` or `false`

  - ### showFailure

    public void showFailure(String message)
    Default implementation for unattended mode that does nothing.
    Specified by:
      `showFailure` in interface `ProgressInterface`
    Parameters:
      `message` - the error message

  - ### askOverwrite

    public int askOverwrite(File file) throws UserCanceledException
    Default implementation for unattended mode.
    Specified by:
      `askOverwrite` in interface `ProgressInterface`
    Parameters:
      `file` - the file in question.
    Returns:
      always returns `OVERWRITE_NO`
    Throws:
      `UserCanceledException` - if the user cancels the operation

  - ### askRetry

    public int askRetry(File file) throws UserCanceledException
    Default implementation for unattended mode.
    Specified by:
      `askRetry` in interface `ProgressInterface`
    Parameters:
      `file` - the file in question.
    Returns:
      always returns `RETRY_NO`
    Throws:
      `UserCanceledException` - if the user cancels the operation

  - ### askContinue

    public boolean askContinue(File file) throws UserCanceledException
    Default implementation for unattended mode.
    Specified by:
      `askContinue` in interface `ProgressInterface`
    Parameters:
      `file` - the file in question.
    Returns:
      always returns `true`
    Throws:
      `UserCanceledException` - if the user cancels the operation